FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000710FL52.2 Subprogram FLUC (CONV)public2015-07-17 22:162015-07-18 00:31
ReporterFalk Reichbott 
Assigned ToFalk Reichbott 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformSystem zOSz/OSOS VersionV2R10
Product Version5.1.05 
Target Version5.1.08Fixed in Version5.1.08 
Summary0000710: FLVIEW don't work for some FLAMFILEs
DescriptionFor some of our FLAMFILEs the CLIST FLVIEW returns with the error below.
Additional Information********************************* Top of Data **********************************
FLVIEW *INFO * READ MEMBER : (00001:SEQ:VAR:00000:00000000:NO:NON:N:)
FLVIEW *INFO * FLAMFILE-IO : Activate block oriented read of FLAMFILE
FLVIEW *STAT * ********** Begin statistic **********
FLVIEW *STAT *
FLVIEW *STAT * *************************************
FLVIEW *STAT * FLUC.RUN.TIME........................ = 0.002s
FLVIEW *STAT * *********** End statistic ***********
FLVIEW *ERROR * 0040 - Reading from file failed
FLVIEW *ERRTRC* *** Begin error trace ***
FLVIEW *ERRTRC* FLAM-VERSION: 5.1.5.9315 BUILD: RELEASE Apr 18 2015 07:39:09
FLVIEW *ERRTRC* SOURCE-FILE : FL5R.POPE.CSRC(FIOFL4) FUNCTION: uiFl4RedBlk ROW: 5035 LOC: 656
FLVIEW *ERRTRC* REASON-CODE : 40 - Reading from file failed
FLVIEW *ERRTRC* CTX-MESSAGE : Truncation of a record at reading from a FLAM4FILE
FLVIEW *ERRTRC* OPERATION : flmget(&psHdl->pcFl4Hdl,(I32*)&uiErr,(I32*)(psHdl->piLenTab+psDat->uiRecCnt(1)),
FLVIEW *ERRTRC* : (psHdl->pcDatPtr+psDat->uiDatLen(40)), (I32*)&psHdl->uiRecLen(512));
FLVIEW *ERRTRC* FL4-MESSAGE : 00.000001 - A record has been shortened to the length of the record buffer.
FLVIEW *ERRTRC* -------------
FLVIEW *ERRTRC* FLAM-VERSION: 5.1.5.9315 BUILD: RELEASE Apr 18 2015 07:39:09
FLVIEW *ERRTRC* SOURCE-FILE : FL5R.POPE.CSRC(FIOFL4) FUNCTION: uiFioFl4OpnRed ROW: 2704 LOC: 568
FLVIEW *ERRTRC* CTX-MESSAGE : Read of the first set of records failed
FLVIEW *ERRTRC* -------------
FLVIEW *ERRTRC* FLAM-VERSION: 5.1.5.9315 BUILD: RELEASE Apr 18 2015 08:00:39
FLVIEW *ERRTRC* SOURCE-FILE : FL5R.POPE.CSRC(ORGFIO) FUNCTION: uiOrgFioOpnRed ROW: 546 LOC: 58
FLVIEW *ERRTRC* CASE : ORGFIO_MODE_BLKFL4(FL4)
FLVIEW *ERRTRC* -------------
FLVIEW *ERRTRC* FLAM-VERSION: 5.1.5.9315 BUILD: RELEASE Apr 18 2015 08:00:10
FLVIEW *ERRTRC* SOURCE-FILE : FL5R.POPE.CSRC(ORGFIL) FUNCTION: uiOrgFilOpnRed ROW: 253 LOC: 28
FLVIEW *ERRTRC* CTX-MESSAGE : Open and reading of data from original file failed
FLVIEW *ERRTRC* OPERATION : uiErr=uiOrgFioOpnRed(pcErr,&psHdl->pvFioHdl,asInt+0,psPar->uiFioMod,&psPar->unFioPar,asDat+0,psFioHdr,psExt);
FLVIEW *ERRTRC* -------------
FLVIEW *ERRTRC* FLAM-VERSION: 5.1.5.9315 BUILD: RELEASE Apr 18 2015 08:02:14
FLVIEW *ERRTRC* SOURCE-FILE : FL5R.POPE.CSRC(ORGSAV) FUNCTION: uiOrgSavOpnRed ROW: 326 LOC: 48
FLVIEW *ERRTRC* CASE : ORGSAV_MODE_FIL
FLVIEW *ERRTRC* -------------
FLVIEW *ERRTRC* FLAM-VERSION: 5.1.5.9315 BUILD: RELEASE Apr 18 2015 08:01:50
FLVIEW *ERRTRC* SOURCE-FILE : FL5R.POPE.CSRC(ORGLST) FUNCTION: uiOrgLstOpnRed ROW: 160 LOC: 6
FLVIEW *ERRTRC* CASE : uiNetMod==ORGNET_MODE_NON==(SAV)
FLVIEW *ERRTRC* -------------
FLVIEW *ERRTRC* FLAM-VERSION: 5.1.5.9315 BUILD: RELEASE Apr 18 2015 07:41:56
FLVIEW *ERRTRC* SOURCE-FILE : FL5R.POPE.CSRC(FLCUPM) FUNCTION: uiFlcConv ROW: 282 LOC: 35
FLVIEW *ERRTRC* CTX-MESSAGE : Opening source to read original element list failed
FLVIEW *ERRTRC* *** End error trace ***
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000865)
Falk Reichbott (administrator)
2015-07-17 22:22

The FLAMFILE contains no member header. The CLIST FLVIEW read each file with read.auto(file='DSN') without any RECLENGTH definition. Without a file header we don't know the required record length, with out a record length parameter from command line (CLIST) we use 512 as default. If there a FLAMFILE which contains longer records then 512 this error occurs.

You can simply fix this error be defining a record length of 32768 for the read (read.auto(file='DSN' recl=32768)).
(0000866)
Falk Reichbott (administrator)
2015-07-17 22:24
edited on: 2015-07-17 22:36

Interims fix:

Change Line 29 of hlq.FLAM.CLIST(FLVIEW) from

SET &READ = &STR(READ.AUTO(FILE=&DSN))

to

SET &READ = &STR(READ.AUTO(FILE=&DSN,RECL=32756))

(0000867)
Falk Reichbott (administrator)
2015-07-18 00:31

Use 32552 as default record length if no member header available in a FLAM4FILE. With this change the max record length of FLAM4 are used to read members from FLAMFILEs if no member header available. This will ensure that all flamfiles can be read with FLVIEW. This FIX is part of revision 5.1.8.

Addtional we have correct some printouts of the info function if no file header for a member is available in the FLAM4FILE.

- Issue History
Date Modified Username Field Change
2015-07-17 22:16 Falk Reichbott New Issue
2015-07-17 22:16 Falk Reichbott Status new => assigned
2015-07-17 22:16 Falk Reichbott Assigned To => Falk Reichbott
2015-07-17 22:22 Falk Reichbott Note Added: 0000865
2015-07-17 22:23 Falk Reichbott Note View State: 0000865: public
2015-07-17 22:24 Falk Reichbott Note Added: 0000866
2015-07-17 22:26 Falk Reichbott Note Edited: 0000866 View Revisions
2015-07-17 22:36 Falk Reichbott Note Edited: 0000866 View Revisions
2015-07-18 00:31 Falk Reichbott Note Added: 0000867
2015-07-18 00:31 Falk Reichbott Status assigned => resolved
2015-07-18 00:31 Falk Reichbott Fixed in Version => 5.1.08
2015-07-18 00:31 Falk Reichbott Resolution open => fixed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker